# -*- coding: utf-8 -*-

import re

UI.UpdateLog("※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※")
UI.UpdateLog("※　　　【免空科學研究所　ｔｉｇｅｒｍａｘ．ｄｙｎｄｎｓ．ｏｒｇ】　　　※")
UI.UpdateLog("※　　　～㊣　　　　　　　　　楓　　　痕　　製作分享　　　　　㊣～　　　※")
UI.UpdateLog("※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※")
UI.UpdateLog("【腳本更新】：2013.03.13 楓痕 修正原始冏rz內附腳本",2)
UI.UpdateLog("【下載空間】：speedyshare.com",2)
UI.UpdateLog("【腳本備註】：支援各32/64位元Windows系列",1)
HTTP.ClearProcedureData()

UI.UpdateLog("※連結至 www.speedyshare.com 下載網址...",4)
HTML=HTTP.GetURL(UI.Link)

ReResault = re.search("downloadfilename href=\'([^\']+)",HTML)
if ReResault == None:
        UI.UpdateLog("無法取得下載網址...",3)
        UI.ProceFalse()
else:
        dlurl = ReResault.group(1)
        UI.UpdateLog(dlurl)

ReResault = re.search("<title>(.+?) ",HTML)
if ReResault == None:
        UI.UpdateLog("無法取得檔案名稱...",3)
        UI.ProceFalse()
else:
        dlname = ReResault.group(1)
        UI.FileName = (dlname)
        UI.UpdateLog("檔案名稱->"+dlname)

DownloadLink=("http://www.speedyshare.com"+dlurl)
UI.UpdateLog("真實下載連結->" + DownloadLink,4)
UI.UpdateLog("開始下載...",4)
Staus=UI.DownloadURL(DownloadLink)
if Staus==True:
        UI.UpdateLog("下載成功...!!",4)
else:
        UI.ProceFalse()